Package com.logicaldoc.core.searchengine

# Class SearchOptions

java.lang.Object
com.logicaldoc.core.searchengine.SearchOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<SearchOptions>`

Direct Known Subclasses:
  `FolderSearchOptions`, `FulltextSearchOptions`, `TagSearchOptions`

public abstract class SearchOptions extends Object implements Serializable, Comparable<SearchOptions>
Search options

Author:
  Michael Scholz
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_FOLDERS`
`static final int`
`TYPE_FULLTEXT`
`static final int`
`TYPE_PARAMETRIC`
`static final int`
`TYPE_SEMANTIC`
`static final int`
`TYPE_TAG`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(SearchOptions o)`
`boolean`
`equals(Object obj)`
`String`
`getDescription()`
`String`
`getExpression()`
`Set<Long>`
`getFilterIds()`
`Long`
`getFolderId()`
`int`
`getMaxHits()`
`String`
`getName()`
`int`
`getPage()`
`Map<String,Object>`
`getParameters()`
`Long`
`getTemplate()`
`Long`
`getTenantId()`
`String`
`getTopOperator()`
`UserHistory`
`getTransaction()`
`int`
`getType()`
`long`
`getUserId()`
`int`
`hashCode()`
`boolean`
`isCaseSensitive()`
`boolean`
`isFulltext()`
`boolean`
`isRetrieveAliases()`
`boolean`
`isSearchInSubPath()`
`static SearchOptions`
`read(File file)`
`void`
`setCaseSensitive(boolean caseSensitive)`
`void`
`setDescription(String description)`
`void`
`setExpression(String expr)`
`void`
`setFilterIds(Set<Long> filterIds)`
`void`
`setFolderId(Long folderId)`
`void`
`setMaxHits(int maxHits)`
`void`
`setName(String name)`
`void`
`setPage(int page)`
`void`
`setParameters(Map<String,Object> parameters)`
`void`
`setRetrieveAliases(boolean retrieveAliases)`
`void`
`setSearchInSubPath(boolean searchInSubPath)`
`void`
`setTemplate(Long template)`
`void`
`setTenantId(Long tenantId)`
`void`
`setTopOperator(String topOperator)`
`void`
`setTransaction(UserHistory transaction)`
`void`
`setType(int type)`
`void`
`setUserId(long userId)`
`String`
`toString()`
`void`
`write(File file)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_FULLTEXT

public static final int TYPE_FULLTEXT

See Also:
  - Constant Field Values

### TYPE_TAG

public static final int TYPE_TAG

See Also:
  - Constant Field Values

### TYPE_PARAMETRIC

public static final int TYPE_PARAMETRIC

See Also:
  - Constant Field Values

### TYPE_FOLDERS

public static final int TYPE_FOLDERS

See Also:
  - Constant Field Values

### TYPE_SEMANTIC

public static final int TYPE_SEMANTIC

See Also:
  - Constant Field Values

## Method Details

### getTemplate

public Long getTemplate()

### setTemplate

public void setTemplate(Long template)

### setExpression

public void setExpression(String expr)

### getType

public int getType()

### setType

public void setType(int type)

### read

public static SearchOptions read(File file) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

### write

public void write(File file) throws IOException

Throws:
  `IOException`

### getName

public String getName()

### setName

public void setName(String name)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getMaxHits

public int getMaxHits()

### setMaxHits

public void setMaxHits(int maxHits)

### isFulltext

public boolean isFulltext()

### getExpression

public String getExpression()

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getTopOperator

public String getTopOperator()

### setTopOperator

public void setTopOperator(String topOperator)

### getFilterIds

public Set<Long> getFilterIds()

### setFilterIds

public void setFilterIds(Set<Long> filterIds)

### isCaseSensitive

public boolean isCaseSensitive()

### setCaseSensitive

public void setCaseSensitive(boolean caseSensitive)

### getFolderId

public Long getFolderId()

### setFolderId

public void setFolderId(Long folderId)

### isSearchInSubPath

public boolean isSearchInSubPath()

### setSearchInSubPath

public void setSearchInSubPath(boolean searchInSubPath)

### getTenantId

public Long getTenantId()

### setTenantId

public void setTenantId(Long tenantId)

### isRetrieveAliases

public boolean isRetrieveAliases()

### setRetrieveAliases

public void setRetrieveAliases(boolean retrieveAliases)

### getPage

public int getPage()

### setPage

public void setPage(int page)

### getParameters

public Map<String,Object> getParameters()

### setParameters

public void setParameters(Map<String,Object> parameters)

### getTransaction

public UserHistory getTransaction()

### setTransaction

public void setTransaction(UserHistory transaction)

### compareTo

public int compareTo(SearchOptions o)

Specified by:
  `compareTo` in interface `Comparable<SearchOptions>`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`